Package org.h2.test.db

# Class TestTriggersConstraints.TestViewGeneratedKeys

java.lang.Object
org.h2.test.db.TestTriggersConstraints.TestViewGeneratedKeys

All Implemented Interfaces:
  `Trigger`

Enclosing class:
  TestTriggersConstraints

public static class TestTriggersConstraints.TestViewGeneratedKeys extends Object implements Trigger

## Field Summary

### Fields inherited from interface org.h2.api.Trigger

`DELETE, INSERT, SELECT, UPDATE`

## Constructor Summary

Constructors
Constructor
Description
`TestViewGeneratedKeys()`

## Method Summary

Modifier and Type
Method
Description
`void`
`fire(Connection conn, Object[] oldRow, Object[] newRow)`
This method is called for each triggered action.
`void`
`init(Connection conn, String schemaName, String triggerName, String tableName, boolean before, int type)`
This method is called by the database engine once when initializing the trigger.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.api.Trigger

`close, remove`

## Constructor Details

### TestViewGeneratedKeys

public TestViewGeneratedKeys()

## Method Details

### init

public void init(Connection conn, String schemaName, String triggerName, String tableName, boolean before, int type) throws SQLException
Description copied from interface: `Trigger`
This method is called by the database engine once when initializing the trigger. It is called when the trigger is created, as well as when the database is opened. The type of operation is a bit field with the appropriate flags set. As an example, if the trigger is of type INSERT and UPDATE, then the parameter type is set to (INSERT | UPDATE).

Specified by:
  `init` in interface `Trigger`
Parameters:
  `conn` - a connection to the database (a system connection)
  `schemaName` - the name of the schema
  `triggerName` - the name of the trigger used in the CREATE TRIGGER statement
  `tableName` - the name of the table
  `before` - whether the fire method is called before or after the operation is performed
  `type` - the operation type: INSERT, UPDATE, DELETE, SELECT, or a combination (this parameter is a bit field)
Throws:
  `SQLException` - on SQL exception

### fire

public void fire(Connection conn, Object[] oldRow, Object[] newRow) throws SQLException
Description copied from interface: `Trigger`
This method is called for each triggered action. The method is called immediately when the operation occurred (before it is committed). A transaction rollback will also rollback the operations that were done within the trigger, if the operations occurred within the same database. If the trigger changes state outside the database, a rollback trigger should be used.

The row arrays contain all columns of the table, in the same order as defined in the table.

The trigger itself may change the data in the newRow array.

Specified by:
  `fire` in interface `Trigger`
Parameters:
  `conn` - a connection to the database
  `oldRow` - the old row, or null if no old row is available (for INSERT)
  `newRow` - the new row, or null if no new row is available (for DELETE)
Throws:
  `SQLException` - if the operation must be undone